Bug 247074 - Initscript Review
Initscript Review
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: tinyerp (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks: InitscriptStatus
  Show dependency treegraph
 
Reported: 2007-07-05 10:00 EDT by Harald Hoyer
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 16:46:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2007-07-05 10:00:20 EDT
Please have a look at the wikipage 
http://fedoraproject.org/wiki/FCNewInit/Initscripts
and change your initscripts to comply with the LSB standard.
Especially check the exit status and add a LSB Header.
E.g. starting a service should return with 0, if the service is already running and stopping a stopped service should also return with 0.

Also check, if your service has to be _on_ per default, and turn it off in the old chkconfig line, if not.

Thank you.
Comment 1 Dan Horák 2007-10-31 16:46:15 EDT
updated initscript commited, see
http://cvs.fedoraproject.org/viewcvs/rpms/tinyerp/devel/tinyerp-server?rev=1.4&view=auto

new version built - tinyerp-4.2.0-1.fc9

Note You need to log in before you can comment on or make changes to this bug.